#ifndef _XtDiffDisplay_h
#define _XtDiffDisplay_h

/***********************************************************************/
/* DiffDisplay Widget (subclass of Simple)                             */
/***********************************************************************/

#define DIFF_NORMAL         "fixed"
#define DIFF_LEFT_COLOR     "red"
#define DIFF_RIGHT_COLOR    "yellow"

#define XtNindent           "indent"
#define XtNscript           "script"
#define XtNfilelist         "filelist"
#define XtNfilelistSize     "filelistSize"
#define XtNselectedFile     "selectedFile"
#define XtNdiffFont         "diffFont"
#define XtNleftColor        "leftColor"
#define XtNrightColor       "rightColor"
#define XtNshowLeftFile     "showLeft"
#define XtNshowRightFile    "showRight"
#define XtNshowBothFiles    "showBoth"
#define XtNshowLeftNums     "showLeftNums"
#define XtNshowRightNums    "showRightNums"

#define XtCIndent           "Indent"
#define XtCScript           "Script"
#define XtCFilelist         "Filelist"
#define XtCFilelistSize     "FilelistSize"
#define XtCSelectedFile     "SelectedFile"
#define XtCShowLeftFile     "ShowLeft"
#define XtCShowRightFile    "ShowRight"
#define XtCShowBothFiles    "ShowBoth"
#define XtCShowLeftNums     "ShowLeftNums"
#define XtCShowRightNums    "ShowRightNums"

/* Class record constants */

extern WidgetClass diffDisplayWidgetClass;

typedef struct _DiffDisplayClassRec *DiffDisplayClass;
typedef struct _DiffDisplayRec      *DiffDisplayWidget;

void FindDiff(Widget w, XEvent * event, String * params, Cardinal *num_params);

#endif /* _XtDiffDisplay_h */
